/* Copyright (C) 2014 by Bundesamt für Sicherheit in der Informationstechnik
 * Software engineering by Intevation GmbH
 *
 * This file is Free Software under the GNU GPL (v>=2)
 * and comes with ABSOLUTELY NO WARRANTY!
 * See LICENSE.txt for details.
 */

/**
  * @file sslconnection.cpp
  * @brief Base implemetation of sslconnection. 
  */

#include "sslconnection.h"

#include <QFile>

SSLConnection::SSLConnection(const QString& url,
              const QByteArray& certificate) :
    mUrl(url),
    mPinnedCert(certificate),
    mInitialized(false),
    mConnected(false),
    mNeedsReset(false),
    mServerFD(-1),
    mErrorState(NoError)
{
    if (certificate.isEmpty()) {
#ifdef RELEASE_BUILD
        /* TODO Change certificate here in case of release build */
        QFile certResource(":certs/intevation.de");
#else
        QFile certResource(":certs/intevation.de");
#endif
        certResource.open(QFile::ReadOnly);
        mPinnedCert = certResource.readAll();
        certResource.close();
    }
}

void SSLConnection::setProxy(const QUrl &proxyUrl)
{
    Q_UNUSED(proxyUrl);
    qWarning() << "Set proxy not supported";
}
